List reports
curl --request POST \
--url https://staging.api.us.aptlydone.com/report/v1/report/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"limit": 10,
"tenantId": "89f78ee4-8fba-4356-b067-751f47fd08dc",
"search": "budget",
"ownerId": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reportType": [],
"reportStatus": [],
"sortBy": "createdAt",
"sortOrder": "DESC",
"startDate": "2024-01-01T00:00:00.000Z",
"endDate": "2024-12-31T23:59:59.999Z"
}
'import requests
url = "https://staging.api.us.aptlydone.com/report/v1/report/list"
payload = {
"page": 1,
"limit": 10,
"tenantId": "89f78ee4-8fba-4356-b067-751f47fd08dc",
"search": "budget",
"ownerId": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"reportType": [],
"reportStatus": [],
"sortBy": "createdAt",
"sortOrder": "DESC",
"startDate": "2024-01-01T00:00:00.000Z",
"endDate": "2024-12-31T23:59:59.999Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
limit: 10,
tenantId: '89f78ee4-8fba-4356-b067-751f47fd08dc',
search: 'budget',
ownerId: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
reportType: [],
reportStatus: [],
sortBy: 'createdAt',
sortOrder: 'DESC',
startDate: '2024-01-01T00:00:00.000Z',
endDate: '2024-12-31T23:59:59.999Z'
})
};
fetch('https://staging.api.us.aptlydone.com/report/v1/report/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:03.221Z",
"message": "Success",
"data": {
"statusCounts": {
"published": 31,
"draft": 4,
"archived": 4,
"all": 39
},
"reports": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
"<array>"
]
}
}
}Reporting
List reports
POST
/
v1
/
report
/
list
List reports
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Page number
Example:
1
Page size
Example:
10
Tenant ID (optional, will use auth user active tenant if not provided)
Example:
"89f78ee4-8fba-4356-b067-751f47fd08dc"
Search keyword
Example:
"budget"
Owner ID
Report types
Available options:
DECISIONS, DELEGATIONS, ACTIONS, DOCUMENTS, USERS, POSITIONS, GROUPS, MATRICES Report statuses
Available options:
PUBLISHED, ARCHIVED, DELETED, DRAFT Sort by field
Example:
"createdAt"
Sort order
Example:
"DESC"
Start date filter
Example:
"2024-01-01T00:00:00.000Z"
End date filter
Example:
"2024-12-31T23:59:59.999Z"
Response
201 - application/json
Report list retrieved successfully
Was this page helpful?
āI